Name:          libgmp
Version:       6.3.0
Release:       1mamba
Summary:       A free library for arbitrary precision arithmetic
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gmplib.org/
Source:        https://gmplib.org/download/gmp/gmp-%{version}.tar.xz
#Source:        ftp://ftp.gnu.org/gnu/gmp/gmp-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libreadline-devel
Requires(post):%{__install_info}

%description
GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers.

%package devel
Group:        Development/Libraries
Summary:      Development files for libgmp
Requires:     %{name} = %{version}-%{release}

%description devel
GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers.
This is the development package.

%package   cxx
Summary:   C++ support for GMP
Group:     System/Libraries
Requires:  %{name} = %{version}-%{release}

%description cxx
GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers.
This package provides C++ support for GMP.

%package  cxx-devel
Summary:  C++ Development tools for the GMP
Group:    Development/Libraries
Requires: %{name}-cxx = %{version}-%{release}

%description cxx-devel
GMP is a free library for arbitrary precision arithmetic, operating on signed integers, rational numbers, and floating point numbers.
This package provides C++ Development tools for GMP.

%debug_package

%prep
%setup -q -n gmp-%{version}

%build
# NOTE (MPN_PATH): see the source tree: gmp-%{version}/mpn/
#case %{_target_cpu} in
#   i*86)
#	CFLAGS="%{optflags}"
#	MPN_PATH=" x86/pentium/mmx x86/pentium x86 ia64 powerpc32 powerpc64 generic" ;;
#   ppc)#
#	CFLAGS="%{optflags} -mno-sse2"
#	MPN_PATH=" powerpc32 x86/pentium x86 generic" ;;

CFLAGS="%{optflags}" \
MPN_PATH=" \
x86/pentium/mmx \
x86/pentium x86 \
ia64 \
powerpc32 \
powerpc64 \
generic" \
%configure --enable-cxx

%make
%if "%{_host_cpu}" == "%{_build_cpu}"
%make check
%endif

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post
/sbin/ldconfig
%install_info gmp.info
exit 0

%postun -p /sbin/ldconfig

%preun
%uninstall_info gmp.info
exit 0

%files
%defattr(-,root,root)
%{_libdir}/libgmp.so.*
%{_infodir}/gmp.info.*
%{_infodir}/gmp.info-1.*
%{_infodir}/gmp.info-2.*
%doc AUTHORS COPYING COPYING.LESSERv3 COPYINGv2 COPYINGv3

%files devel
%defattr(-,root,root)
%{_includedir}/gmp.h
%{_libdir}/libgmp.a
%{_libdir}/libgmp.so
%{_libdir}/pkgconfig/gmp.pc
%doc ChangeLog NEWS README 

%files cxx
%defattr(-,root,root)
%{_libdir}/libgmpxx.so.*

%files cxx-devel
%defattr(-,root,root)
%{_includedir}/gmpxx.h
%{_libdir}/libgmpxx.a
%{_libdir}/libgmpxx.so
%{_libdir}/pkgconfig/gmpxx.pc

%changelog
* Mon Sep 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.3.0-1mamba
- update to 6.3.0

* Tue Dec 29 2020 Automatic Build System <autodist@mambasoft.it> 6.2.1-1mamba
- automatic version update by autodist

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 6.2.0-1mamba
- automatic version update by autodist

* Fri Jan 06 2017 Automatic Build System <autodist@mambasoft.it> 6.1.2-1mamba
- automatic version update by autodist

* Thu Jul 07 2016 Automatic Build System <autodist@mambasoft.it> 6.1.1-1mamba
- automatic version update by autodist

* Wed Nov 18 2015 Automatic Build System <autodist@mambasoft.it> 6.1.0-1mamba
- automatic version update by autodist

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 6.0.0-1mamba
- automatic version update by autodist

* Thu Oct 03 2013 Automatic Build System <autodist@mambasoft.it> 5.1.3-1mamba
- automatic version update by autodist

* Sat May 25 2013 Automatic Build System <autodist@mambasoft.it> 5.1.2-1mamba
- automatic version update by autodist

* Tue Feb 12 2013 Automatic Build System <autodist@mambasoft.it> 5.1.1-1mamba
- automatic version update by autodist

* Thu Dec 20 2012 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- update to 5.1.0

* Fri Aug 10 2012 Automatic Build System <autodist@mambasoft.it> 5.0.5-1mamba
- automatic version update by autodist

* Thu Apr 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.4-1mamba
- update to 5.0.4

* Sat May 14 2011 Automatic Build System <autodist@mambasoft.it> 5.0.2-1mamba
- automatic update by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 5.0.1-1mamba
- automatic update by autodist

* Wed Jan 13 2010 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic update by autodist

* Thu Apr 30 2009 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic update by autodist

* Sun Sep 21 2008 gil <puntogil@libero.it> 4.2.4-1mamba
- update to 4.2.4
- edit configure option added enable-cxx
- added package cxx and cxx-devel

* Thu Oct 18 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.2-1mamba
- update to 4.2.2

* Thu Nov 09 2006 Davide Madrisan <davide.madrisan@qilinux.it> 4.2.1-1qilnx
- update to version 4.2.1 by autospec
- updated specfile to fit qilinux standards

* Mon Sep 12 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.4-1qilnx
- update to version 4.1.4 by autospec
- cross platform build changes

* Mon May 17 2004 Davide Madrisan <davide.madrisan@qilinux.it> 4.1.3-1qilnx
- specfile updated to support SMP
- forced gcc code optimization for pentium processors
- new version rebuild

* Tue Jul 01 2003 Silvan Calarco <silvan.calarco@qinet.it> 4.1.2-1qilnx
- first build
